# eth\_feeHistory

**Returns a collection of historical gas information.**

**Parameters**

* `BLOCKCOUNT` - Number of blocks in the requested range. Between 1 and 1024 blocks can be requested in a single query. Less than requested may be returned if not all blocks are available. <mark style="color:red;">REQUIRED</mark>
* `NEWESTBLOCK` - Highest number block of the requested range. <mark style="color:red;">REQUIRED</mark>
* `REWARDPERCENTILES` - (optional) A monotonically increasing list of percentile values to sample from each block's effective priority fees per gas in ascending order, weighted by gas used. <mark style="color:red;">REQUIRED</mark>

**Returns**

`Object`

* `OLDESTBLOCK` - Lowest number block of the returned range.
* `BASEFEEPERGAS` - An array of block base fees per gas. This includes the next block after the newest of the returned range, because this value can be derived from the newest block. Zeroes are returned for pre-EIP-1559 blocks.
* `GASUSEDRATIO` - An array of block gas used ratios. These are calculated as the ratio of `gasUsed` and `gasLimit`.
* `REWARD` - (Optional) An array of effective priority fees per gas data points from a single block. All zeroes are returned if the block is empty.

## Example

#### Request

```
curl --request POST \
     --url https://endpoints.omniatech.io/v1/RPC_ENDPOINT \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --data '
{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "eth_feeHistory",
  "params": [4, "latest", [25, 75]]
}
'
```

#### Response

```
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
        "oldestBlock": "0x1126e25",
        "reward": [
            [
                "0x5f5e100",
                "0x77359400"
            ],
            [
                "0x2faf080",
                "0x77359400"
            ],
            [
                "0x5f5e100",
                "0x879a1444"
            ],
            [
                "0x5f5e100",
                "0x3b9aca00"
            ]
        ],
        "baseFeePerGas": [
            "0x6bfc13a7a",
            "0x6a447cc2e",
            "0x6a550c5dd",
            "0x67834a299",
            "0x6cf5d92f9"
        ],
        "gasUsedRatio": [
            0.43639296666666666,
            0.5024350333333333,
            0.3939411,
            0.7105050666666667
        ]
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omniatech.io/rpc-api-docs/chains/moonbeam/ethereum-standard-json-rpc-api/eth_feehistory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
